Bug 1296539 - (CVE-2016-1570, xsa167) CVE-2016-1570 xen: PV superpage functionality missing sanity checks
CVE-2016-1570 xen: PV superpage functionality missing sanity checks
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160120,repo...
: Security
Depends On: 1300345
Blocks: 1296546
  Show dependency treegraph
 
Reported: 2016-01-07 08:24 EST by Adam Mariš
Modified: 2016-02-01 01:29 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for xen-unstable, Xen 4.6.x, Xen 4.5.x (2.27 KB, patch)
2016-01-07 08:27 EST, Adam Mariš
no flags Details | Diff
Patch for Xen 4.3.x, 4.4.x (2.10 KB, patch)
2016-01-07 08:28 EST, Adam Mariš
no flags Details | Diff
Xen 4.6.x (2.29 KB, patch)
2016-01-07 08:28 EST, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2016-01-07 08:24:46 EST
It was found that PV superpage functionality lacks certain validity checks on data being passed to the hypervisor by guests. This is the case for the page identifier (MFN) passed to MMUEXT_MARK_SUPER and MMUEXT_UNMARK_SUPER sub-ops of the HYPERVISOR_mmuext_op hypercall as well as for various forms of page table updates.

Use of the feature, which is disabled by default, may have unknown effects, ranging from information leaks through Denial of Service to privilege escalation.

Only systems which enable the PV superpage feature are affected. That is, only systems with an `allowsuperpage' setting on the hypervisor command line. Note that in Xen 4.0.x and 3.4.x the option is named `allowhugepage'. Xen versions 3.4.0, 3.4.1, and from 4.1 onwards are affected. Only x86 systems are affected. Only PV guests can exploit the vulnerability.

Running only HVM guests will avoid this issue. Not enabling PV superpage support (by omitting the `allowsuperpage' or `allowhugepage' hypervisor command line options) will avoid exposing the issue.
Comment 1 Adam Mariš 2016-01-07 08:27 EST
Created attachment 1112460 [details]
Patch for xen-unstable, Xen 4.6.x, Xen 4.5.x
Comment 2 Adam Mariš 2016-01-07 08:28 EST
Created attachment 1112462 [details]
Patch for Xen 4.3.x, 4.4.x
Comment 3 Adam Mariš 2016-01-07 08:28 EST
Created attachment 1112463 [details]
Xen 4.6.x
Comment 4 Adam Mariš 2016-01-07 10:08:32 EST
Acknowledgments:

Red Hat would like to thank the Xen project for reporting this issue. Upstream acknowledges 360 Marvel Team as the original reporters.
Comment 5 Andrej Nemec 2016-01-20 09:15:38 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1300345]
Comment 6 Andrej Nemec 2016-01-20 09:16:28 EST
Public via:

http://seclists.org/oss-sec/2016/q1/155
Comment 7 Fedora Update System 2016-01-28 13:24:36 EST
xen-4.5.2-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-02-01 01:29:40 EST
xen-4.5.2-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.